/*
 * @Author: dminyi 1301963064@qq.com
 * @Date: 2023-08-10 16:31:54
 * @LastEditors: dminyi 1301963064@qq.com
 * @LastEditTime: 2023-08-14 11:49:51
 * @FilePath: \hztSsim\mobile\src\components\visit\search.jsx
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import React, { useEffect } from 'react';
import { useHistory } from 'react-router-dom';
import { Space } from 'dingtalk-design-mobile';
import MyList from '../MyList';
import { dateFormat, getUpdateStr, searchTitle, myTimeFormat } from '../../utils/utility';
import { visit_1 } from '../../assets/img';
import routerStatus from '../../status/router';

const VisitListSearchView = ({ search, data, hasMore, getScrollTopKey, scrollTop, searchValue, getTrailArriveData }) => {
  const history = useHistory();

  // 加载更多数据
  function handleLoadMore(callback) {
    getTrailArriveData({ ...search, page: search.page + 1 }, '', callback);
  }

  // 房间更新
  useEffect(() => {
    if (routerStatus.spinPage['VisitListSearchView']) {
      getTrailArriveData({ ...search, page: 1, size: search.page * search.size }, 'spin');
      routerStatus.setPageScrollTopNow('VisitListSearchView');
      routerStatus.clearSpinPage('VisitListSearchView');
    }
  }, [routerStatus.spinPage['VisitListSearchView']]);

  return (
    <MyList
      data={data}
      hasMore={hasMore}
      loadMore={handleLoadMore}
      getScrollTopKey={getScrollTopKey}
      scrollTop={scrollTop}
      itemDom={(item, index) => {
        return (
          <div
            className="building-card-bottom"
            style={index === 0 ? { marginTop: 0 } : null}
            onClick={() => history.push(`/hztSsim/visit?id=${item.coreNameId}`)}
          >
                        <div
                          key={`institutions${index}`}
                          className="institutions-list"
                          style={index === 0 ? { marginTop: 0 } : null}
                        >
                          <div className="institutions-list-flex">
                            <div className="institutions-list-title">
                              {item.coreName}
                            </div>
                            <div className="institutions-list-subTitle">
                              {item.createTime
                                ? myTimeFormat(item.createTime, "YYYY.M.D") +
                                  "录入"
                                : "-"}
                            </div>
                          </div>
                          <div className="institutions-list-subTitle">
                            中心层级：{item.coreLevelName}
                          </div>
                          <div className="institutions-list-subTitle">
                            队伍成员:{item.userTotal}人
                          </div>
                          <div className="institutions-list-subTitle">
                            更新时间：
                            {item.updateTime
                              ? myTimeFormat(item.updateTime, "YYYY.M.D")
                              : "-"}
                          </div>
                        </div>
          </div>
        );
      }}
    />
  );
};

export default VisitListSearchView;